Subject: Re: bug#8180: 24.0.50; verbose, confusing y-or-n-p prompts in `find-file-no-select'

From: Eli Zaretskii <[email-masked]>
Date: Sun, 01 May 2016 21:14:42 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Date: Sun, 01 May 2016 19:59:01 +0200
> Cc: [email-masked]
> 
> > "The file maybe-a-very-long-file-name.jpg is already visited literally,
> > meaning no coding system decoding, format conversion, or local variables.
> > You have asked to visit it normally,
> > but Emacs can only visit a file in one way at a time.
> >
> > Do you want to revisit the file normally now? (y or n) "
> >
> > That is _ridiculously_ long and confusing.  It is horribly user
> > unfriendly.  `find-file-noselect' is now filled to the gills with such
> > gobbledygook prompts, each more twisted and verbose than the next.
> 
> I don't think it's gobbledygook.  You only get a prompt like that if
> you've previously visited a file literally, and then you probably know
> what that is, because just about the only way to get such a buffer is by
> using the `M-x find-file-literally' command.

The prompt used to be just

  "Save file and revisit non-literally? "

but it was enhanced (by Richard, no less), to make it more explicit
and clear.

> So I don't see anything to fix here.  Closing.

I agree.